
#ifndef _INCLUDE_SOURCE_TRACKER_H_
#define _INCLUDE_SOURCE_TRACKER_H_

#ifdef __cplusplus
extern "C" {
#endif

extern int HAGetParamSourceTracker(Param_SourceTracker_t *param);
extern int HASetParamSourceTracker(Param_SourceTracker_t *param);
extern int HADynamicParamUpdateSourceTracker(Param_SourceTracker_t *param);
extern int HAInitSourceTracker(void);
extern int SourceTracker(int frame_count, SOURCE_DATA_ARY_t *sources);
extern int SourceTrackerWithFilter(int frame_count, SOURCE_DATA_ARY_t *sources, SOURCE_DATA_ARY_t *target);

extern int HAGetParamSourceIntervalExtender(Param_SourceIntervalExtender_t *param);
extern int HASetParamSourceIntervalExtender(Param_SourceIntervalExtender_t *param);
extern int HADynamicParamUpdateSourceIntervalExtender(Param_SourceIntervalExtender_t *param);
extern int SourceIntervalExtender(int frame_count, SOURCE_DATA_ARY_t *sources);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_SOURCE_TRACKER_H_ */

